### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/deprecated/common/ecl-site-header.component.ts`

### Deprecated

### Extends

`ECLBaseDirective`

### Metadata

template

    <div></div>

### Index

###### Properties

- eclLanguageComponent
- eclLoginComponent
- eclSearchComponent
- languageCode
- role

###### Methods

- isGroup
- onECLogoClick
- getCssClasses

###### Inputs

- group
- siteName
- class
- e2eAttr

###### Outputs

- languageClick
- logoClick

###### HostBindings

- attr.role

### Constructor

`constructor(eclLanguageService: EclLanguageService, translateService: TranslateService)`

Parameters :

Name | Type | Optional
eclLanguageService | `EclLanguageService` | No
translateService | `TranslateService` | No

### Inputs

group
Type : `string`
Default value : `'2'`

siteName
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

languageClick
Type : `EventEmitter`

logoClick
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'banner'`

### Methods

isGroup
`isGroup(groupId: string)`

Parameters :

Name | Type | Optional
groupId | `string` | No

Returns : `boolean`

onECLogoClick
`onECLogoClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclLanguageComponent
Type : `EclSiteHeaderLanguageComponentBase`

eclLoginComponent
Type : `EclSiteHeaderLoginComponentBase`

eclSearchComponent
Type : `EclSiteHeaderSearchComponentBase`

languageCode
Type : `string`
Default value : `'en'`

role
Type : `string`
Default value : `'banner'`
Decorators : `@HostBinding('attr.role')`

# results matching ""

# No results matching ""